

param NPLANT ;
param NDEMAND ;


var y {i in 1..NPLANT, j in 1..NDEMAND} >=0;
#var x {i in 1..NPLANT} >=0 ;
var x {i in 1..NPLANT}  binary;

param varcost {i in 1..NPLANT, j in 1..NDEMAND}>=0;
param fixcost {i in 1..NPLANT}>=0;
param caplimit {i in 1..NPLANT}>=0; 
param demand {j in 1..NDEMAND}>=0;
param l {i in 1..NPLANT}>=0; 
param u {i in 1..NPLANT}>=0; 

minimize cost: 
sum {i in 1..NPLANT}fixcost[i]*x[i]
+sum {i in 1..NPLANT, j in 1..NDEMAND} varcost[i,j]*y[i,j]
;

subject to capacity {i in 1..NPLANT}:
  sum {j in 1..NDEMAND}y[i,j] <= caplimit[i]*x[i];

subject to dem1 {j in 1..NDEMAND}:
 sum {i in 1..NPLANT}y[i,j]  = demand[j];

subject to luz {i in 1..NPLANT}:
 l[i] <= x[i] <= u[i];




